﻿function PoisonReminderFu:PoisonUpdate()
	--if IsResting() or UnitIsDeadOrGhost("player") or InCombatLockdown() then return end
	local Main, _, _, Off = GetWeaponEnchantInfo()
	if Main then self.HasMainHand = true end
	if Off then self.HasOffHand = true end
	if not Main and self.HasMainHand then
		self.HasMainHand = nil
		PoisonReminderFu:Warning(16)
	end
	if not Off and self.HasOffHand then
		self.HasOffHand = nil
		PoisonReminderFu:Warning(17)
	end
end 

function PoisonReminderFu:Warning(hand)
	if hand == 16 then
		if self.db.profile.last and self.db.profile.MainHandPoison then
			poison = self.db.profile.MainHandPoison
		else
			poison = self.db.profile.preset
		end
		self:SetupFrames("Main", poison)
		if self.db.profile.keep then self:ScheduleEvent(function() self.HasMainHand = true end, 400) end
	elseif hand == 17 then 
		if self.db.profile.last and self.db.profile.OffHandPoison then
			poison = self.db.profile.OffHandPoison
		else
			poison = self.db.profile.preset
		end
		self:SetupFrames("Off", poison)
		if self.db.profile.keep then self:ScheduleEvent(function() self.HasOffHand = true end, 400) end
	end
end

function PoisonReminderFu:CastPoison(a1)
	local search = gsub(ITEMENCHANTMENTADDSELFSELF, "%%s", "(.+)")
	local _, _, Poison, Weapon = string.find(a1, search)
	if Poison and Weapon then
		if string.find(GetInventoryItemLink("player", 16), Weapon) then
			self.db.profile.MainHandPoison = Poison
		elseif string.find(GetInventoryItemLink("player", 17), Weapon) then
			self.db.profile.OffHandPoison = Poison
		end
	end 
end 
